<!-- 
RSS generated by JIRA (9.4.14#940014-sha1:734e6822bbf0d45eff9af51f82432957f73aa32c) at Sat Feb 10 02:09:13 UTC 2024

It is possible to restrict the fields that are returned in this document by specifying the 'field' parameter in your request.
For example, to request only the issue key and summary append 'field=key&field=summary' to the URL of your request.
-->
<rss version="0.92" >
<channel>
    <title>Whamcloud Community JIRA</title>
    <link>https://jira.whamcloud.com</link>
    <description>This file is an XML representation of an issue</description>
    <language>en-us</language>    <build-info>
        <version>9.4.14</version>
        <build-number>940014</build-number>
        <build-date>05-12-2023</build-date>
    </build-info>


<item>
            <title>[LU-7474] Using lnet init script and lnetctl brings up tcp interface</title>
                <link>https://jira.whamcloud.com/browse/LU-7474</link>
                <project id="10000" key="LU">Lustre</project>
                    <description>&lt;p&gt;We&apos;re attempting to migrate to &lt;tt&gt;lnetctl&lt;/tt&gt; for some of our setup rather than using the lnet modprobe.conf file.&lt;/p&gt;

&lt;p&gt;We removed the &lt;tt&gt;ip2nets&lt;/tt&gt; parameter from the conf, and generated our &lt;tt&gt;/etc/sysconfig/lnet.conf&lt;/tt&gt; file.  Using the following method works (from an unconfigured system):&lt;/p&gt;
&lt;ul class=&quot;alternate&quot; type=&quot;square&quot;&gt;
	&lt;li&gt;modprobe lnet&lt;/li&gt;
	&lt;li&gt;lnetctl lnet configure&lt;/li&gt;
	&lt;li&gt;lnetctl import &amp;lt; /etc/sysconfig/lnet.conf&lt;/li&gt;
&lt;/ul&gt;


&lt;p&gt;The problem we&apos;re seeing is that the LNET init script calls &lt;tt&gt;lctl network up&lt;/tt&gt;, which configures a default nid on the tcp interface (instead of the InfiniBand interface).&lt;/p&gt;

&lt;p&gt;Is this indented behavior?  Currently, we&apos;re planning to use the following in our LNET init script instead:&lt;/p&gt;

&lt;div class=&quot;code panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;codeContent panelContent&quot;&gt;
&lt;pre class=&quot;code-java&quot;&gt;125,129c125
&amp;lt;       &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; [ -f $LUSTRE_LNET_CONFIG_UTILITY ] &amp;amp;&amp;amp; [ -f &lt;span class=&quot;code-quote&quot;&gt;&quot;$LUSTRE_LNET_CONFIG_FILE&quot;&lt;/span&gt; ]; then
&amp;lt;                 $LUSTRE_LNET_CONFIG_UTILITY lnet configure || exit 1
&amp;lt;         &lt;span class=&quot;code-keyword&quot;&gt;else&lt;/span&gt;
&amp;lt;                 lctl network up || exit 1
&amp;lt;         fi
---
&amp;gt;       lctl network up || exit 1
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;

&lt;p&gt;Thanks!&lt;br/&gt;
&amp;#8211;&lt;br/&gt;
Jesse&lt;/p&gt;
</description>
                <environment>RHEL 6.6&lt;br/&gt;
lustre-client-2.7.1-2.6.32_504.30.3.el6.x86_64_g43f9fd9.x86_64</environment>
        <key id="33323">LU-7474</key>
            <summary>Using lnet init script and lnetctl brings up tcp interface</summary>
                <type id="1" iconUrl="https://jira.whamcloud.com/secure/viewavatar?size=xsmall&amp;avatarId=11303&amp;avatarType=issuetype">Bug</type>
                                            <priority id="4" iconUrl="https://jira.whamcloud.com/images/icons/priorities/minor.svg">Minor</priority>
                        <status id="5" iconUrl="https://jira.whamcloud.com/images/icons/statuses/resolved.png" description="A resolution has been taken, and it is awaiting verification by reporter. From here issues are either reopened, or are closed.">Resolved</status>
                    <statusCategory id="3" key="done" colorName="success"/>
                                    <resolution id="3">Duplicate</resolution>
                                        <assignee username="doug">Doug Oucharek</assignee>
                                    <reporter username="hanleyja">Jesse Hanley</reporter>
                        <labels>
                            <label>patch</label>
                    </labels>
                <created>Tue, 24 Nov 2015 19:42:43 +0000</created>
                <updated>Fri, 4 Dec 2015 23:53:52 +0000</updated>
                            <resolved>Wed, 25 Nov 2015 17:56:14 +0000</resolved>
                                    <version>Lustre 2.7.0</version>
                                    <fixVersion>Lustre 2.8.0</fixVersion>
                                        <due></due>
                            <votes>0</votes>
                                    <watches>5</watches>
                                                                            <comments>
                            <comment id="134488" author="adilger" created="Wed, 25 Nov 2015 02:03:49 +0000"  >&lt;p&gt;Jesse, having this in the form of a patch in Gerrit would expedite landing. &lt;/p&gt;</comment>
                            <comment id="134495" author="pjones" created="Wed, 25 Nov 2015 05:00:34 +0000"  >&lt;p&gt;Doug is looking into this one&lt;/p&gt;</comment>
                            <comment id="134531" author="hanleyja" created="Wed, 25 Nov 2015 15:26:41 +0000"  >&lt;p&gt;Hey Andreas,&lt;/p&gt;

&lt;p&gt;Here&apos;s the change in patch format, but I wasn&apos;t sure if someone would have a better approach.&lt;/p&gt;

&lt;div class=&quot;code panel&quot; style=&quot;border-width: 1px;&quot;&gt;&lt;div class=&quot;codeContent panelContent&quot;&gt;
&lt;pre class=&quot;code-java&quot;&gt;diff --git a/lustre/scripts/lnet b/lustre/scripts/lnet
index 1a9d467..8decff1 100644
--- a/lustre/scripts/lnet
+++ b/lustre/scripts/lnet
@@ -122,7 +122,11 @@ &lt;span class=&quot;code-keyword&quot;&gt;case&lt;/span&gt; &lt;span class=&quot;code-quote&quot;&gt;&quot;$1&quot;&lt;/span&gt; in
        run_preexec_check &lt;span class=&quot;code-quote&quot;&gt;&quot;start&quot;&lt;/span&gt;
        touch /&lt;span class=&quot;code-keyword&quot;&gt;var&lt;/span&gt;/lock/subsys/lnet
        modprobe lnet || exit 1
-       lctl network up || exit 1
+       &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; [ -f $LUSTRE_LNET_CONFIG_UTILITY ] &amp;amp;&amp;amp; [ -f &lt;span class=&quot;code-quote&quot;&gt;&quot;$LUSTRE_LNET_CONFIG_FILE&quot;&lt;/span&gt; ]; then
+               $LUSTRE_LNET_CONFIG_UTILITY lnet configure || exit 1
+       &lt;span class=&quot;code-keyword&quot;&gt;else&lt;/span&gt;
+               lctl network up || exit 1
+       fi
        # &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; a routes config file is given then use it to configure the
        # routes &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; not then &lt;span class=&quot;code-keyword&quot;&gt;default&lt;/span&gt; to LUSTRE_ROUTES_CONFIG_FILE
        &lt;span class=&quot;code-keyword&quot;&gt;if&lt;/span&gt; [ -f &lt;span class=&quot;code-quote&quot;&gt;&quot;$2&quot;&lt;/span&gt; ]; then
&lt;/pre&gt;
&lt;/div&gt;&lt;/div&gt;

&lt;p&gt;Thanks,&lt;br/&gt;
&amp;#8211;&lt;br/&gt;
Jesse&lt;/p&gt;</comment>
                            <comment id="134536" author="pjones" created="Wed, 25 Nov 2015 16:18:03 +0000"  >&lt;p&gt;Jesse&lt;/p&gt;

&lt;p&gt;I think that Andreas has suggested pushing the patch to gerrit because that will be how we can easily get reviews of the suggested change. Maybe it will need to go through one or more iterations before it is ready to land, but perhaps it is ok as it is. Once we get it into the system we can move towards establishing that &lt;img class=&quot;emoticon&quot; src=&quot;https://jira.whamcloud.com/images/icons/emoticons/smile.png&quot; height=&quot;16&quot; width=&quot;16&quot; align=&quot;absmiddle&quot; alt=&quot;&quot; border=&quot;0&quot;/&gt;&lt;/p&gt;

&lt;p&gt;Peter&lt;/p&gt;</comment>
                            <comment id="134556" author="hanleyja" created="Wed, 25 Nov 2015 17:39:07 +0000"  >&lt;p&gt;Hey Peter and Andreas,&lt;/p&gt;

&lt;p&gt;I should have a bit more of my homework before submitting this.  I went to submit the change, and noticed the functionality was already on master.  It looks like this was fixed in &lt;a href=&quot;http://review.whamcloud.com/#/c/14000/&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/#/c/14000/&lt;/a&gt; (as a part of &lt;a href=&quot;https://jira.hpdd.intel.com/browse/LU-6340&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;https://jira.hpdd.intel.com/browse/LU-6340&lt;/a&gt; ).  This patch just wasn&apos;t in our 2.7 build.  Maybe I should start my holiday a little early.&lt;/p&gt;

&lt;p&gt;My apologies for submitting this. &lt;/p&gt;

&lt;p&gt;Thanks for your help,&lt;br/&gt;
&amp;#8211;&lt;br/&gt;
Jesse&lt;/p&gt;</comment>
                            <comment id="134559" author="yujian" created="Wed, 25 Nov 2015 17:54:36 +0000"  >&lt;p&gt;Let me back-port the patch, Jesse, have a nice holiday!&lt;/p&gt;</comment>
                            <comment id="134560" author="yujian" created="Wed, 25 Nov 2015 17:56:15 +0000"  >&lt;p&gt;The issue was resolved in &lt;a href=&quot;https://jira.whamcloud.com/browse/LU-6340&quot; title=&quot;DLC: /etc/rc.d/init.d/lnet doesn&amp;#39;t configure lnet exactly as defined in lnet.conf&quot; class=&quot;issue-link&quot; data-issue-key=&quot;LU-6340&quot;&gt;&lt;del&gt;LU-6340&lt;/del&gt;&lt;/a&gt;. Let&apos;s close this one as a duplicate.&lt;/p&gt;</comment>
                            <comment id="134581" author="simmonsja" created="Wed, 25 Nov 2015 21:49:37 +0000"  >&lt;p&gt;I back ported &lt;a href=&quot;https://jira.whamcloud.com/browse/LU-6340&quot; title=&quot;DLC: /etc/rc.d/init.d/lnet doesn&amp;#39;t configure lnet exactly as defined in lnet.conf&quot; class=&quot;issue-link&quot; data-issue-key=&quot;LU-6340&quot;&gt;&lt;del&gt;LU-6340&lt;/del&gt;&lt;/a&gt; just now. See &lt;a href=&quot;http://review.whamcloud.com/#/c/17365&quot; class=&quot;external-link&quot; target=&quot;_blank&quot; rel=&quot;nofollow noopener&quot;&gt;http://review.whamcloud.com/#/c/17365&lt;/a&gt;.&lt;/p&gt;</comment>
                            <comment id="134584" author="yujian" created="Wed, 25 Nov 2015 22:27:19 +0000"  >&lt;p&gt;Thank you, James.&lt;/p&gt;</comment>
                    </comments>
                <issuelinks>
                            <issuelinktype id="10010">
                    <name>Duplicate</name>
                                            <outwardlinks description="duplicates">
                                        <issuelink>
            <issuekey id="28994">LU-6340</issuekey>
        </issuelink>
                            </outwardlinks>
                                                        </issuelinktype>
                    </issuelinks>
                <attachments>
                    </attachments>
                <subtasks>
                    </subtasks>
                <customfields>
                                                                                                                                                                                            <customfield id="customfield_10890" key="com.atlassian.jira.plugins.jira-development-integration-plugin:devsummary">
                        <customfieldname>Development</customfieldname>
                        <customfieldvalues>
                            
                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        <customfield id="customfield_10390" key="com.pyxis.greenhopper.jira:gh-lexo-rank">
                        <customfieldname>Rank</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>1|hzxu7r:</customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                <customfield id="customfield_10090" key="com.pyxis.greenhopper.jira:gh-global-rank">
                        <customfieldname>Rank (Obsolete)</customfieldname>
                        <customfieldvalues>
                            <customfieldvalue>9223372036854775807</customfieldvalue>
                        </customfieldvalues>
                    </customfield>
                                                                                            <customfield id="customfield_10060" key="com.atlassian.jira.plugin.system.customfieldtypes:select">
                        <customfieldname>Severity</customfieldname>
                        <customfieldvalues>
                                <customfieldvalue key="10022"><![CDATA[3]]></customfieldvalue>

                        </customfieldvalues>
                    </customfield>
                                                                                                                                                                                                                                                                                                                                                        </customfields>
    </item>
</channel>
</rss>